Outil de développement

YAML

Un format de fichier simple pour éditer des listes de données

Préfixe : yaml
Utilisé dans 15591 sites
Mis à jour le 22 novembre 2018
  • SPIP 2.0
  • SPIP 2.1
  • SPIP 3.0
  • SPIP 3.1
  • SPIP 3.2

2.0.10 - en test

Compatible : SPIP 3.0 SPIP 3.1 SPIP 3.2
Afficher la description

Ce plugin fournit les fonctions de lecture/écriture du format YAML : yaml_decode() et yaml_encode(). Il fournit aussi le format yaml pour la boucle (DATA).

Version
2.0.10
Compatiblité
SPIP ≥ 3.0.0 et ≤ 3.2.*
État
en test
Crédits
yaml.org, Spyc, Symfony YAML v1 - Fabien Potencier, Symfony YAML v4 - Fabien Potencier, PECL YAML - The PHP Group, LibYAML
Licence
MIT
Archive
yaml_v2.zip
Taille
199.6 ko
Générée le
22-11-2018 16:04
Hébergée par
SPIP-Zone - Plugins
Nécessite les plugins
Pour SPIP ≥ 3.1.0 :
php ≥ 5.3.0

1.5.4 - stable

Compatible : SPIP 2.0 SPIP 2.1 SPIP 3.0 SPIP 3.1 SPIP 3.2
Afficher la description

Ce plugin fournit les fonctions de lecture/écriture du format YAML : yaml_decode() et yaml_encode(). Il fournit aussi le format yaml pour la boucle (DATA).

Version
1.5.4
Compatiblité
SPIP ≥ 2.0.10 et ≤ 3.2.*
État
stable
Crédits
yaml.org, Spyc, Symfony YAML - Fabien Potencier
Licence
MIT
Archive
yaml.zip
Taille
48.5 ko
Générée le
29-05-2018 20:04
Hébergée par
SPIP-Zone - Plugins

Dernières modifications

Messages de forum

  • 13 décembre : tu cliques sur « Mettre à jour » et hop… Oups. Une erreur inattendue a empêché de soumettre le (...)
  • 13 décembre : c’est à dire ? que se passe-t-il exactement ?
  • 13 décembre : Avec SPIP 3.1.2 et YAML 2.0.9 impossible de faire la mise à jour vers la 2.0.10 via (...)
  • 15 juin : Pour résumer les mises à jour : l’exportation produit des fichiers conformes YAML tous (...)
  • 14 juin : Avec https://zone.spip.org/trac/spip-zone/changeset/110648 et la libYaml : import d’un (...)
  • 14 juin : Avec https://zone.spip.org/trac/spip-zone/changeset/110648 et la lib par défaut, ça marche (aussi (...)
  • 14 juin : Hello, Avec plaisir. Est-ce que tu veux que je le fasse ? ;-) ieconfig n’a pas besoin de (...)
  • 13 juin : Yo, Merci pour les réponses. ben en mettant la borne mini à strictement supérieure à 3.2.* alors (...)
  • 13 juin : Hello, Je vais essayer de répondre à toutes tes questions. je ne vois pas ce que changer (...)
  • 13 juin : Hello, Ton approche du problème m’interdit toute possibilité de correction. déjà tu aurais du (...)